export class VetraCloudEnvironment {
    analyticsStore;
    NAMESPACE = "VetraCloudEnvironment";
    inputs = [];
    constructor(analyticsStore) {
        this.analyticsStore = analyticsStore;
        //
    }
    onOperations(operations) {
        return Promise.resolve();
    }
    onDisconnect() {
        return Promise.resolve();
    }
    async clearSource(source) {
        try {
            await this.analyticsStore.clearSeriesBySource(source, true);
        }
        catch (e) {
            console.error(e);
        }
    }
}
